import { TSiteTitleSize, TSiteSubtitleSize } from "./site-title";
export type TSiteSimilarSectionProps = {
    solution: Record<string, any>;
    feedType: "id" | "content";
    scope: "global-and-organization" | "global";
    globalOrganizationId?: string;
    additionalData?: Record<string, any>[];
    entityName?: string;
    cacheKey?: string;
    flushCache?: boolean;
    feedValue: string;
    urlTemplate: string;
    pageSize?: number;
    pageNumber?: number;
    title?: string;
    subTitle?: string;
    titleSize?: TSiteTitleSize;
    subTitleSize?: TSiteSubtitleSize;
    wrapperClassName?: string;
    listClassName?: string;
    itemTitleClassName?: string;
    onClick?: (id: string) => void;
};
export declare const SiteSimilarSection: (props: TSiteSimilarSectionProps) => JSX.Element;
export default SiteSimilarSection;
