import { CSSProperties } from "react";
export type TSitePageSplit = {
    coverImageAlt?: string;
    coverImageUrl?: string;
    coverImageLocation?: "background" | "image";
    coverImageBackgroundSize?: "cover" | "auto";
    leftSideChildren?: any;
    rightSideChildren?: any;
    leftSideClassName?: string;
    leftSideStyle?: CSSProperties;
    rightSideClassName?: string;
    rightSideStyle?: CSSProperties;
};
export declare const SitePageSplit: ((props: any) => JSX.Element) & {
    displayName: string;
};
export default SitePageSplit;
